/* 
  Google Fonts >
  * font-family: 'Playfair Display', serif;
  * font-family: 'Poppins', sans-serif;
  * font-family: 'Roboto', sans-serif;
  Icons >
  * Ion-Icons
  Color >
  * Main Blue Gradient
    background-color: #4361ee;
    background-image: linear-gradient(225deg, #4361ee 0%, #4cc9f0 100%);
  * Dark Blue: #4361ee
  * Light Blue: - #4cc9f0
*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

:root {
  /* Font */
  --font-playfair: "Playfair Display", serif;
  --font-poppins: "Poppins", sans-serif;
  --font-roboto: "Roboto", sans-serif;
  /* Color */
  --grad-bg-color: #4361ee;
  --grad-bg-img: linear-gradient(225deg, #4361ee 0%, #4cc9f0 100%);
  --dark-blue: #4361ee;
  --light-blue: #4cc9f0;
  --white: #ffffff;
  --gray: #8f9397;
  --font-black: #343a40;
}

/* Header */
nav {
  background-color: #ffffff;
  font-family: var(--font-poppins);
}

.nav-link-custom {
  margin-left: auto;
  color: var(--gray);
  font-size: 0.9rem;
  font-weight: 500;
}

.nav-link-custom a:hover {
  color: var(--dark-blue);
}

.nav-service {
  position: relative;
}

.nav-service:hover .nav-dropdown-list {
  display: flex;
}

.nav-dropdown-list {
  position: absolute;
  left: -150%;
  top: 100%;
  list-style: none;
  background-color: white;
  width: 310px;
  border-radius: 6px;
  border: 1px solid rgb(170, 170, 170);
  color: rgb(90, 90, 90);
  display: none;
  flex-direction: column;
  animation-name: dropdown-animation;
  animation-duration: 0.2s;
}

.nav-dropdown-list summary {
  padding: 10px 16px;
  font-size: 14px;
}

.nav-dropdown-list summary:hover {
  color: var(--dark-blue);
}

.nav-dropdown-subList {
  background-color: #ebebeb;
  list-style: none;
  font-size: 14px;
  color: rgb(85, 85, 85) !important;
  display: flex;
  flex-direction: column;
  padding: 0;
}

.nav-dropdown-subList li {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 6px;
}

.li-border-top {
  border-top: 1px solid rgb(200, 200, 200);
}

.li-border-bottom {
  border-bottom: 1px solid rgb(200, 200, 200);
}

.nav-dropdown-subList li {
  padding: 10px;
}

.nav-dropdown-subList li:hover {
  background-color: #f3f3f3;
}

.nav-dropdown-list {
  white-space: nowrap;
}

@keyframes dropdown-animation {
  0% {
    transform: translate(0%, 20px);
  }
  100% {
    transform: translateY(0%, 0px);
  }
}

.nav-link-custom button {
  font-size: 0.8rem;
  font-weight: 500;
  background-color: var(--grad-bg-color);
  background-image: var(--grad-bg-img);
  color: var(--white);
  border: none;
  border-radius: 0.2rem;
  margin-left: 0.4rem;
}

.nav-link-custom button:hover {
  color: var(--font-black);
}

header img,
nav img {
  max-width: 140px;
}
/* Header End */

.carousel-item {
  width: 100%;
  height: 100dvh;
  position: relative;
}

.carousel-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
}

.carousel-overlay {
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.204);
  width: 100%;
  height: 100%;
  z-index: 1;
}

.carousel-caption {
  top: 50%;
  transform: translateY(-50%);
  bottom: initial;
  z-index: 2;
}

.carousel-caption h2 {
  font-family: var(--font-poppins);
  font-weight: 600;
}

.carousel-caption p {
  font-family: var(--font-playfair);
  font-size: 1.2rem;
}

/* Mission */
.cus-mission {
  margin: 80px 0;
}

.cus-missionContent {
  color: var(--font-black);
}

.cus-missionContent h2 {
  font-weight: 500;
}

.cus-missionContent p {
  font-family: var(--font-playfair);
  font-size: 18px;
}

.cus-missionContent {
  max-width: 1100px;
  width: 100%;
  margin: auto;
  margin-bottom: 40px;
}

.mission-imgs {
  display: grid;
  grid-template-columns: repeat(3, auto);
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.mission-imgs img {
  max-width: 300px;
  width: 100%;
  border-radius: 4px;
}

.mission-imgs p {
  max-width: 500px;
  background-color: var(--grad-bg-color);
  background-image: var(--grad-bg-img);
  color: var(--white);
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  padding: 0 40px;
  margin: 0;
  font-size: 22px;
  border-radius: 4px;
}

/* Service */
.cus-service {
  margin: 80px 0;
}

.cus-serviceContent {
  max-width: 700px;
  width: 100%;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: var(--font-black);
}

.cus-serviceContent h2 {
  font-weight: 500;
}

.cus-serviceContent p {
  font-family: var(--font-playfair);
  font-size: 18px;
}

.cus-serviceCards {
  display: grid;
  grid-template-columns: repeat(2, auto);
  column-gap: 60px;
  row-gap: 40px;
  align-items: center;
  justify-content: center;
  padding: 60px;
}

.cus-serviceCardCommon {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 20px;
}

.cus-serviceCardCommon img {
  width: 100%;
  max-width: 600px;
  border-radius: 4px;
}

.cus-serviceCardCommon h3 {
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 18px;
  margin: 0;
  color: var(--font-black);
}

.cus-serviceCardCommon span {
  font-weight: 600;
  color: var(--grad-bg-color);
}

.cus-serviceCardCommon p {
  margin: 0;
  color: var(--font-black);
  padding-bottom: 10px;
}

.cus-serviceCardCommon a {
  margin: 0;
  color: var(--font-black);
  text-decoration: none;
  background-color: var(--grad-bg-color);
  background-image: var(--grad-bg-img);
  color: var(--white);
  padding: 4px 10px;
  border-radius: 4px;
}

/* Mapping */
.cus-mapping {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.cus-mapping-container {
  max-width: fit-content;
  height: 80%;
  display: grid;
  grid-template-columns: 100px 300px 250px 500px;
  align-items: center;
  justify-content: center;
  gap: 40px;
  margin: auto;
}

.cus-mapping-container img {
  width: 100px;
}

.cus-mapping-container div ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 0;
  margin: 0;
}

.active-arrow {
  position: relative;
  background-color: rgba(0, 0, 0, 0.048);
}

.active-arrow:before {
  content: "→";
  position: absolute;
  top: 50%;
  right: 6px;
  transform: translateY(-50%);
  font-size: 20px;
}

.active-group-border ul {
  position: relative;
}

.active-group-border ul li {
  margin-left: 20px;
  cursor: pointer;
}

.active-group-border ul:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 12px;
  height: 100%;
  border-left: 2px solid black;
  border-top: 2px solid black;
  border-bottom: 2px solid black;
}

.active-group-border div {
  position: relative;
  padding-left: 20px;
}

.active-group-border div:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 12px;
  height: 100%;
  border-left: 2px solid black;
  border-top: 2px solid black;
  border-bottom: 2px solid black;
}

.mapping-title2 li.active {
  background-color: black;
}

.mapping-title1 {
  /* width: 320px; */
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 20px;
  cursor: pointer;
}

.mapping-title1 {
  width: 100%;
  padding: 4px 6px;
  border-radius: 4px;
  font-family: var(--font-poppins);
}

.mapping-title1:hover {
  background-color: rgba(0, 0, 0, 0.048);
}

.mapping-title2 {
  /* width: 250px; */
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 20px;
  font-family: var(--font-poppins);
  width: 100%;
  padding: 4px 6px;
  border-radius: 4px;
}

.mapping-title2:hover {
  background-color: rgba(0, 0, 0, 0.048);
}

.mapping-3 h3 {
  font-size: 20px;
  font-weight: 500;
  font-family: var(--font-poppins);
  margin-bottom: 0;
}

.mapping-3 p {
  margin-bottom: 0;
}

.mapping-title3 {
  font-family: var(--font-poppins);
  /* width: 500px; */
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 10px;
}

.mapping-3 div {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.mapping-title2,
.mapping-title3 {
  animation-name: li-animation;
  animation-duration: 0.5s;
}

@keyframes li-animation {
  0% {
    opacity: 0;
    transform: translateX(-10px);
  }

  100% {
    opacity: 1;
    transform: translateX(0px);
  }
}

/* Segements */
.cus-segmentContent {
  max-width: 800px;
  width: 100%;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: var(--font-black);
}

.cus-segmentContent h2 {
  font-weight: 500;
}

.cus-segmentContent p {
  font-family: var(--font-playfair);
  font-size: 18px;
}

.cus-segmentContent2 {
  display: grid;
  grid-template-columns: repeat(5, auto);
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 60px;
  margin-top: 30px;
}

.cus-segmentContent2 div {
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.14);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  color: var(--font-black);
  width: 170px;
  height: 190px;
  padding: 20px;
  border-radius: 6px;
}

.cus-segmentContent2 ion-icon {
  padding-bottom: 16px;
  color: var(--dark-blue);
}

.cus-segmentContent2 span {
  color: var(--dark-blue);
  font-size: 50px;
}

.cus-segmentContent2 a {
  text-decoration: none;
  color: var(--white);
  background-color: var(--grad-bg-color);
  padding: 2px 10px;
  font-size: 14px;
  border-radius: 4px;
}

.cus-segmentContent2 {
  display: grid;
  grid-template-columns: repeat(5, auto);
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 60px;
  margin-top: 30px;
}

.cus-segmentContent2 div {
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.14);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  color: var(--font-black);
  width: 170px;
  height: 190px;
  padding: 20px;
  border-radius: 6px;
}

/* ERP Solutions */
.cus-erp {
  margin: 200px 0;
}

.cus-erpContent {
  max-width: 800px;
  width: 100%;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: var(--font-black);
}

.cus-erpContent h2 {
  font-weight: 500;
}

.cus-erpContent p {
  font-family: var(--font-playfair);
  font-size: 18px;
}

.cus-erpContent2 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  flex-wrap: nowrap;
  overflow-x: scroll;
  padding: 20px;
  gap: 60px;
}

.cus-erpContent2 div {
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.14);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  color: var(--font-black);
  width: 170px;
  height: 190px;
  padding: 20px;
  border-radius: 6px;
}

.cus-erpContent2 ion-icon {
  padding-bottom: 16px;
  color: var(--dark-blue);
}

.cus-erpContent2 p {
  text-align: center;
}

.cus-erpContent2 a {
  text-decoration: none;
  color: var(--white);
  background-color: var(--grad-bg-color);
  padding: 2px 10px;
  font-size: 14px;
  border-radius: 4px;
}

/* About */
.cus-about {
  padding: 0 20px;
}

.cus-aboutDiv {
  max-width: 1200px;
  width: 100%;
  margin: 180px auto;
  background-color: var(--grad-bg-color);
  background-image: var(--grad-bg-img);
  padding: 40px;
  color: var(--white);
  border-radius: 6px;
}

.cus-aboutDiv h2 {
  font-weight: 500;
}

.cus-aboutDiv p {
  font-family: var(--font-playfair);
  font-size: 18px;
}

/* Footer */
footer {
  background-color: #fafafa;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: space-evenly;
  gap: 40px;
  color: var(--font-black);
  padding: 20px 0 0 0;
}

footer img {
  max-width: 140px;
}

footer p {
  max-width: 350px;
  width: 100%;
  font-family: var(--font-playfair);
}

.cus-footer1 {
  max-width: 350px;
  width: 100%;
}

.cus-footer2 a:hover {
  color: var(--dark-blue);
}

footer ul {
  list-style: none;
}

.subfooter {
  background-color: #fafafa;
  border-top: 1px solid var(--gray);
  text-align: center;
  padding: 18px 0 4px 0;
}

@media only screen and (max-width: 900px) {
  .mission-imgs {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    justify-content: center;
    gap: 20px;
  }

  .mission-imgs p {
    max-width: 100%;
    grid-column-start: 1;
    grid-column-end: 3;
    padding: 40px 20px;
  }

  .mission-imgs img {
    max-width: 100%;
  }
}

@media only screen and (max-width: 600px) {
  .cus-serviceCards {
    display: grid;
    grid-template-columns: repeat(1, auto);
    column-gap: 60px;
    row-gap: 40px;
    align-items: center;
    justify-content: center;
    padding: 60px;
  }

  .cus-serviceCardCommon {
    text-align: center;
  }

  .cus-serviceCardCommon h3 {
    max-width: fit-content;
    margin: auto;
    text-align: left;
  }

  .cus-service2,
  .cus-service4 {
    flex-direction: column-reverse;
  }
}
